
<h1>Workdesk</h1>

<% if @stack.empty? %>
    <p>The Workdesk is empty. To add items use the smart links shown at the top
    of <%=link_to 'Portraits', portrait_index_path%> and at many other places.</p>
<% else %>

<div class="workdeskitem spacer" />

<div id="overview" class="workdesk">
<div><div>
 <% @stack.each do |item| %>
  <% object = if item.is_security? then item.Security else item.Organization end %>
  <div class="workdeskitem">
  <table>
    <thead>
      <tr>
          <th>
            <%=object%> <%=link_to('...', object.link.to_url)%>
            <span>added <%=smr_humanize item.time_added, :time_for_humans=>true%></span>
          </th>
          <th>
            <% if item.is_security? %>
                last trade at <span><%=smr_humanize object.last_quote(smr_browse_date).last%></span>
            <% end %>
          </th>
          <th>
            <%= render(
                 :partial=>'portrait/smart_links',
                 :locals=>{ :item_to_portrait=>object, :shown_is=>:workdesk }
            ) %>
          </th>
      </tr>
    </thead>
    <tbody>
      <tr>
         <td colspan="3"><p class="comment_text"><%=object.description%></p></td>
      </tr>
     <% if item.is_organization? %>
      <tr>
          <td colspan="3">
              <ul>
                <%
                # FIXME: move into controller or some class
                object.Security.is_actively_traded(smr_browse_date).sort_by { |s|
                    if s.type == :bond then
                        s.date_maturity
                    else 1 end
                }.each do |s|
                    next if s.is_expired?(smr_browse_date)
                %>
                <li>
                    <%=s%> <%=link_to('...', s.link.to_url)%>
                    <span>last trade at <%=smr_humanize s.last_quote(smr_browse_date).last%></span>
                </li>
              <% end %></ul>
          </td>
      </tr>
     <% end %>
      <tr>
          <td colspan="3">
              <%= form_for item, :method=>:PATCH do |f| %>
                  <%= f.hidden_field :id %>
                  <%= f.text_area :comment, :cols=>50, :rows=>10, :placeholder=>'Why is this item in the desk?' %>
                  <%= f.submit :name=>'save', :value=>'Save' %>
                  <%= f.submit :name=>'drop', :value=>'Drop from Workdesk' %>
              <% end %>
          </td>
      </tr>
    </tbody>
  </table>
  </div>
 <% end # @stack.each %>
</div></div>
</div>
<% end %>

